/**
 * @file
 * example.multiple.first node implementation.
 *
 * @copyright Copyright © 2012–2022 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see https://vuo.org/license.
 */

#include "node.h"

VuoModuleMetadata({
					 "title" : "First",
					 "description" : "A node class for demonstration.",
					 "keywords" : [ ],
					 "version" : "1.0.0",
					 "dependencies" : [ ],
				 });

void nodeEvent
(
		VuoInputData(VuoInteger) value,
		VuoOutputData(VuoInteger) incremented
)
{
	*incremented = value + 1;
}
